function Evaluation=Evaluation_CS_MRI(im_op,im_rec)
%%
% This fuction contains the objective criteria for CS-MRI
% Input: 
% im_op: optimal image with fully sampled K-sapce
% im_rec: reconstructed image 
% Output: evaluation criteria
% ---------
% Author:  Qu Xiao-bo    <qxb_xmu@yahoo.com.cn @163.com>    Feb.12,2009
% Affiliation: Magnetic Resonance and Medical Imaging Research Center,Xiamen University.
%                Dept. of Communication Engineering, Xiamen University.
% website:http://www.quxiaobo.org 
% Address: P. O. Box 979, Xiamen University, 422 South Siming Road, Xiamen, Fujian, China.
% Zip Code:361005
%%
Evaluation=zeros(3,1);
%% first, scale the image [0 1] to [0 255]
if max(im_rec(:))<128
   im_rec=scale_to_255(im_rec);
end
if max(im_op(:))<128
    im_op=scale_to_255(im_op);
end
%%
Evaluation(1,1)=PSNR(im_op,im_rec);
Evaluation(2,1)=TEI(im_op,im_rec);
Evaluation(3,1)=MI(im_op,im_rec);
Evaluation(4,1)=ssim_index(im_op,im_rec);
Evaluation(5,1)=L2_norm_Error(double(im_op),double(im_rec));
disp('|| PSNR || TEI || MI ||MSSIM')
% Evaluation;